
<div class="formulario-container" *ngIf="producto!=null">


  <form [formGroup]="formRegistro" (ngSubmit)="updateProduct()">

    <div class="form-title">
      <label class="form-titlex">Edición de Producto</label>
    </div>

    <hr>

    <div class="form-item-line">
      <div>
        <label for="text_id">id</label>
        <input type="text" id="txt_id" class="{{isInvalidId?'error-field-text':''}}"  formControlName="id">
        <div class="error-field" *ngIf="isInvalidId">
          ID no válido.
        </div>
      </div>

      <div>
        <label>Nombre</label>
        <input type="text" id="txt_name" class="{{isInvalidName?'error-field-text':''}}" formControlName="name">
        <div class="error-field" *ngIf="isInvalidName">
          Este campo es requerido.
        </div>
      </div>
    </div>

    <div class="form-item-line">
      <div>
        <label for="txt_description">Descripción</label>
        <input type="text" id="txt_description" class="{{isInvalidDescription?'error-field-text':''}}" formControlName="description">
        <div class="error-field" *ngIf="isInvalidDescription">
          Este campo es requerido.
        </div>
      </div>

      <div>
        <label>Logo</label>
        <input type="text" id="txt_logo" class="{{isInvalidLogo?'error-field-text':''}}" formControlName="logo">
        <div class="error-field" *ngIf="isInvalidLogo">
          Este campo es requerido.
        </div>
      </div>
    </div>

    <div class="form-item-line">
      <div>
        <label for="text_id">Fecha Liberación</label>
        <input type="text" id="text_id" placeholder="dd/mm/aaaa" (change)="calculateDateRevision()" class="{{isInvalidDateRelease?'error-field-text':''}}" formControlName="date_release">
        <div class="error-field" *ngIf="isInvalidDateReleaseByRequired">
          Este campo es requerido.
        </div>
        <div class="error-field" *ngIf="isInvalidDateReleaseByFormat">
          Formato requerido dd/mm/aaaa.
        </div>
        <div class="error-field" *ngIf="isInvalidDateRelease">
          Fecha debe ser mayor a actual.
        </div>
      </div>

      <div>
        <label>Fecha Revisión</label>
        <input type="text"   formControlName="date_revision">
      </div>

    </div>

    <div class="form-bottom">
      <button type="button" class="restart-button" (click)="cancel()">Cancelar</button>
      <button type="submit" [disabled]="formRegistro.invalid" class="send-button" [disabled]="formRegistro.invalid">Enviar</button>
    </div>



  </form>
